
'\"
'\" Generated from file 'memchanapi.man' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
'\"
'\" -*- tcl -*- doctools
.so man.macros
.TH "memchan" n 2.2  "Memory channels"
.BS
.SH "NAME"
memchan \- C API for creating memory channels
.SH "SYNOPSIS"
package require \fBTcl \fR
.sp
package require \fBmemchan \fR
.sp
Tcl_Channel \fBMemchan_CreateMemoryChannel\fR (\fITcl_Interp *interp\fR, \fIint initialSize\fR)\fR
.sp
Tcl_Channel \fBMemchan_CreateFifoChannel\fR (\fITcl_Interp *interp\fR)\fR
.sp
void \fBMemchan_CreateFifo2Channel\fR (\fITcl_Interp *interp\fR, \fITcl_Channel *aPtr\fR, \fITcl_Channel *bPtr\fR)\fR
.sp
Tcl_Channel \fBMemchan_CreateNullChannel\fR (\fITcl_Interp *interp\fR)\fR
.sp
Tcl_Channel \fBMemchan_CreateZeroChannel\fR (\fITcl_Interp *interp\fR)\fR
.sp
Tcl_Channel \fBMemchan_CreateRandomChannel\fR (\fITcl_Interp *interp\fR)\fR
.sp
.BE
.SH "DESCRIPTION"
The \fBmemchan\fR package provides a C API for use by
third-party extension writers. This is exposed by a Tcl stubs library
table to reduce version dependency as is available for Tcl itself.
.SH "COMMAND"
.TP
Tcl_Channel \fBMemchan_CreateMemoryChannel\fR (\fITcl_Interp *interp\fR, \fIint initialSize\fR)\fR
.TP
Tcl_Channel \fBMemchan_CreateFifoChannel\fR (\fITcl_Interp *interp\fR)\fR
.TP
void \fBMemchan_CreateFifo2Channel\fR (\fITcl_Interp *interp\fR, \fITcl_Channel *aPtr\fR, \fITcl_Channel *bPtr\fR)\fR
.TP
Tcl_Channel \fBMemchan_CreateNullChannel\fR (\fITcl_Interp *interp\fR)\fR
.TP
Tcl_Channel \fBMemchan_CreateZeroChannel\fR (\fITcl_Interp *interp\fR)\fR
.TP
Tcl_Channel \fBMemchan_CreateRandomChannel\fR (\fITcl_Interp *interp\fR)\fR
.PP
Each of these functions creates an returns a channel exactly as
described in the Tcl command pages for each of the \fBmemchan\fR
commands. The Tcl commands internally call these functions to create
the channels.
.PP
The \fBmemchan\fR channel accepts an \fIinitialSize\fR argument to
permit pre-allocating space for the internal buffer. Normally this may
be set to 0.
.PP
The \fBfifo2\fR API function looks a little different because it must
return two linked channels.
.SH "SEE ALSO"
Tcl_GetChannelName
.SH "COPYRIGHT"
.nf
Copyright (c) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
.fi